#include <stdio.h>

int main(){
    unsigned n,l;
    scanf("%u %u ", &n, &l);
    int max=-1;
    unsigned a[1000];

    for(int i=1;i<=n;i++)scanf("%d", &a[i]);

     for(int i=1;i<=n;i++)
     if(l>=a[i]){
        max=i;
        break;
     }

     printf("%d", max);

}